### Function

# Vips value_get_blob

#### Declaration [src]

    void*
    vips_value_get_blob (
      const GValue* value,
      size_t* length
    )

#### Description [src]

Returns the data pointer from a blob. Optionally returns the length too.

blobs are things like ICC profiles or EXIF data. They are relocatable, and are saved to VIPS files for you coded as base64 inside the XML. They are copied by copying reference-counted pointers.

See also

`vips_value_set_blob()`.

#### Parameters

`value`

  Type: `GValue`

  GValue to set.

  The data is owned by the caller of the function.

`length`

  Type: `size_t*`

  Optionally return length of memory area.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guint8`

The pointer held by `value`.

The length of the array is in the `length` argument.
The data is owned by the called function.